{

script: {
    bounce: 1

    // Every third jump is a big one
    // On a big jump, the top of his head should be 7 blocks off the ground
    // on a small jump, it should be 4 blocks off the ground
    // when resting, his head is 1 block off the ground

    member OnTick()
        if this.entity.isBlockedDown then
            // don't play the bouncing sound off the screen
            if abs(this.entity.x - world.player.x) <= 340 and
               abs(this.entity.y - world.player.y) <= 300
            then
                PlaySound("mushroom_bounce");
            end if;
            this.entity.vy := -(this.bounce = 1 ? 355 : 232);   // high bounce or low bounce?
            this.bounce += 1;
            if this.bounce > 3 then
                this.bounce := 1;
            end if;
        end if;
        this.entity.frame := "mushroom_" & (world.player.x < this.entity.x ? "left" : "right") & "1";
    end function
}

}